PulseAudio 16.1

Data Fields
pa_channel_map Struct Reference

A channel map which can be used to attach labels to specific channels of a stream. More...

`#include <channelmap.h>`

## Data Fields
uint8_t | channels
| Number of channels mapped. More...
pa_channel_position_t | map [PA_CHANNELS_MAX]
| Channel labels. More...

## Detailed Description

A channel map which can be used to attach labels to specific channels of a stream.

These values are relevant for conversion and mixing of streams

## Field Documentation

## ◆ channels

uint8_t pa_channel_map::channels

Number of channels mapped.

## ◆ map

pa_channel_position_t pa_channel_map::map[PA_CHANNELS_MAX]

Channel labels.

The documentation for this struct was generated from the following file:

- channelmap.h